## mtink 1.0.1

=== Makefile ===
# This will work for Linux and Solaris

prefix=/usr/local
setUid=1
gimpVersion=1.2

DBG = -s -O

# comment this out for Solaris

LIBXP = -lXp

# xpm header an library, if no entry, xpm will not be used
XPM_INC = -DMOTIF_XPM
XPM_LIB = 

# for me, test with Lesstif
#PI=-I/usr/X11R6/LessTif/Motif1.2/include
#PL=-L/usr/X11R6/LessTif/Motif1.2/lib

# You may specify the Motif library version you want to use here
# path for library will be included in the binary, as well as the library version
#MOLIB = -Xlinker -rpath -Xlinker /usr/X11R6/LessTif/Motif1.2/lib/ /usr/X11R6/LessTif/Motif1.2/lib/libXm.so.1

# the libXm.so.1 is under the standard path, we need only to tell wich lib is to be loaded
#MOLIB = /usr/X11R6/lib/libXm.so.1

# this is the standard and will normally work.
# normal value
MOLIB = -lXm
MOINC = -I/usr/X11R6/include

MACINCL = -I/usr/local/include
MACLB   = -L/usr/local/lib

CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC)
LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11

# Modify CC to cc if needed
CC=gcc

# I must be able to build a static linked version of mtink
# this is not for you
#LFLAGS= $(DBG) -L/usr/X11R6/lib -L/usr/dt/lib /home/jj/MOTIF/motif/lib/Xm/libXm.a -lXp -lXt -lSM -LICE -lXext -lX11

# Adapt this if necesssary
GIMP_INC = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
GIMP_LIB = -L/usr/lib -lgimpui -lgimp -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm

############################################################
# The programs we generate

PRG = mtink mtinkc ttink gimp-mtink $(DETDIR)/askPrinter

SRCDIR = mainSrc
DOCDIR = html
UTILS  = utils
SVRDIR = server
DETDIR = detect
CHODIR = chooser

############################################################
# If you want to get debug informations

DEBUG = -DDEBUG=0 -DPTIME=0
#DEBUG = -DDEBUG=0 -DPTIME0 -DSIMULATION=1
#DEBUG = -DDEBUG=1 -DPTIME=0

############################################################
# time out for reading from // port, value in  msec.

RDTIMEOUT=-DRDTIMEOUT=20000

############################################################
# exit after at least 10 seconds (time in ms)

WRTIMEOUT=-DWRTIMEOUT=2000

############################################################
# Our objekt files

OBJ =    $(SRCDIR)/mtink.o \
         $(SRCDIR)/d4lib.o \
         $(SRCDIR)/d4libh.o \
         $(SRCDIR)/cfg1.o \
         $(SRCDIR)/rdPrtDesc.o \
         $(SRCDIR)/fsb.o \
         $(SRCDIR)/cfg2.o \
         $(SRCDIR)/alignbt.o \
         $(SRCDIR)/scrtxt.o \
         $(SRCDIR)/resource.o \
         $(SRCDIR)/rcfile.o \
         $(SRCDIR)/cmd.o \
         $(SRCDIR)/tooltip.o \
         $(SRCDIR)/wheelmouse.o \
         $(SRCDIR)/micon.o

TTYOBJ = $(SRCDIR)/ttink.o \
         $(SRCDIR)/d4lib.o \
         $(SRCDIR)/d4libh.o \
         $(SRCDIR)/rdPrtDesc.o \
         $(SRCDIR)/nXcmd.o \
         $(SRCDIR)/rdRes.o

SVR_OBJ = $(SVRDIR)/mtinkd.o \
         $(SVRDIR)/cmd.o \
         $(SVRDIR)/d4lib.o \
         $(SVRDIR)/d4libh.o


DOC = *.gif *.html

all: $(PRG) mtinkd $(UTILS)/bldRes $(UTILS)/rdPrtDesc 

clean:
	@if [ "`echo $(SRCDIR)/*.o`" != "$(SRCDIR)"/'*.o'  ]; then rm $(SRCDIR)/*.o; fi; >/dev/null 2>/dev/null
	@if [ -f mtink                       ]; then rm mtink               ; fi
	@if [ -f mtinkc                      ]; then rm mtinkc              ; fi
	@if [ -f ttink                       ]; then rm ttink               ; fi
	@if [ -f gimp-mtink                  ]; then rm gimp-mtink          ; fi
	@if [ -f $(UTILS)/bldRes             ]; then rm $(UTILS)/bldRes     ; fi
	@if [ -f $(UTILS)/rdPrtDesc          ]; then rm $(UTILS)/rdPrtDesc  ; fi
	@if [ "`echo $(SVRDIR)/*.o `" != "$(SVRDIR)"/'*.o' ]; then rm $(SVRDIR)/*.o; fi; >/dev/null 2>/dev/null
	@if [ -f mtinkd                      ]; then rm mtinkd              ; fi
	@if [ -f  $(DETDIR)/askPrinter       ]; then rm $(DETDIR)/askPrinter; fi

############## COMMON AND frintends ##################
$(SRCDIR)/d4lib.o: $(SRCDIR)/d4lib.c $(SRCDIR)/d4lib.h Makefile
	@echo Compile d4lib.c
	@$(CC) -c -o $(SRCDIR)/d4lib.o $(SRCDIR)/d4lib.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG)

$(SRCDIR)/d4libh.o: $(SRCDIR)/d4libh.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h Makefile
	@echo Compile d4libh.c
	@$(CC) -c -o $(SRCDIR)/d4libh.o $(SRCDIR)/d4libh.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG)

$(SRCDIR)/rcfile.o: $(SRCDIR)/rcfile.c $(SRCDIR)/rcfile.h $(SRCDIR)/mtink.h  Makefile
	@echo Compile rcfile.c
	@$(CC) -c -o $(SRCDIR)/rcfile.o $(SRCDIR)/rcfile.c $(CFLAGS)   -DWITH_X=1

$(SRCDIR)/fsb.o: $(SRCDIR)/fsb.c $(SRCDIR)/fsb.h $(SRCDIR)/mtink.h $(SRCDIR)/wheelmouse.h Makefile
	@echo Compile fsb.c
	@$(CC) -c -o $(SRCDIR)/fsb.o $(SRCDIR)/fsb.c $(CFLAGS)   -DWITH_X=1

$(SRCDIR)/scrtxt.o: $(SRCDIR)/scrtxt.c $(SRCDIR)/scrtxt.h $(SRCDIR)/mtink.h $(SRCDIR)/wheelmouse.h Makefile
	@echo Compile scrtxt.c
	@$(CC) -c -o $(SRCDIR)/scrtxt.o $(SRCDIR)/scrtxt.c $(CFLAGS)   -DWITH_X=1

$(SRCDIR)/cfg1.o: $(SRCDIR)/cfg1.c $(SRCDIR)/cfg1.h $(SRCDIR)/mtink.h $(SRCDIR)/cmd.h $(SRCDIR)/wheelmouse.h $(SRCDIR)/model.h Makefile
	@echo Compile cfg1.c
	@$(CC) -c -o $(SRCDIR)/cfg1.o $(SRCDIR)/cfg1.c $(CFLAGS)  -DWITH_X=1

$(SRCDIR)/micon.o: $(SRCDIR)/micon.c $(SRCDIR)/micon.h  Makefile
	@echo Compile micon.c
	@$(CC) -c -o $(SRCDIR)/micon.o $(SRCDIR)/micon.c $(CFLAGS)  -DWITH_X=1

$(SRCDIR)/rdPrtDesc.o: $(SRCDIR)/rdPrtDesc.c $(SRCDIR)/model.c $(SRCDIR)/rdPrtDesc.h $(SRCDIR)/model.h Makefile
	@echo Compile rdPrtDesc.c
	@$(CC) -c -o $(SRCDIR)/rdPrtDesc.o $(SRCDIR)/rdPrtDesc.c $(CFLAGS) -DBLD_UTIL=0

$(SRCDIR)/cfg2.o: $(SRCDIR)/cfg2.c $(SRCDIR)/cfg2.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/cmd.h  Makefile
	@echo Compile cfg2.c
	@$(CC) -c -o $(SRCDIR)/cfg2.o $(SRCDIR)/cfg2.c $(CFLAGS)  -DWITH_X=1

$(SRCDIR)/alignbt.o: $(SRCDIR)/alignbt.c $(SRCDIR)/alignbt.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/cmd.h  Makefile
	@echo Compile alignbt.c
	@$(CC) -c -o $(SRCDIR)/alignbt.o $(SRCDIR)/alignbt.c $(CFLAGS)  -DWITH_X=1

$(SRCDIR)/cmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/al820.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c Makefile
	@echo Compile cmd.c
	@$(CC) -c -o $(SRCDIR)/cmd.o $(SRCDIR)/cmd.c $(CFLAGS)  $(DEBUG) $(RDTIMEOUT) $(WRTIMEOUT) -DWITH_X=1 -DSERVER=0

$(SRCDIR)/nXcmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h Makefile
	@echo Compile cmd.c as nXcmd.o
	@$(CC) -c -o $(SRCDIR)/nXcmd.o $(SRCDIR)/cmd.c $(CFLAGS)  $(DEBUG) $(RDTIMEOUT) $(WRTIMEOUT) -DWITH_X=0 -DSERVER=0

$(SRCDIR)/resource.o: $(SRCDIR)/resource.c $(SRCDIR)/version.h Makefile
	@echo Compile resource.c
	@$(CC) -c -o $(SRCDIR)/resource.o $(SRCDIR)/resource.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1

$(SRCDIR)/mtink.o: $(SRCDIR)/mtink.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/model.h Makefile
	@echo Compile mtink.c
	@$(CC) -c -o $(SRCDIR)/mtink.o $(SRCDIR)/mtink.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1

$(SRCDIR)/ttink.o: $(SRCDIR)/ttink.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h  $(SRCDIR)/model.h Makefile
	@echo Compile ttink.c
	@$(CC) -c -o $(SRCDIR)/ttink.o $(SRCDIR)/ttink.c $(CFLAGS)  $(DEBUG)  -DWITH_X=0

$(SRCDIR)/tooltip.o: $(SRCDIR)/tooltip.c $(SRCDIR)/tooltip.h Makefile
	@echo Compile tooltip.c
	@$(CC) -c -o $(SRCDIR)/tooltip.o $(SRCDIR)/tooltip.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1

$(SRCDIR)/wheelmouse.o: $(SRCDIR)/wheelmouse.c Makefile
	@echo Compile wheelmouse.c
	@$(CC) -c -o $(SRCDIR)/wheelmouse.o $(SRCDIR)/wheelmouse.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1

$(SRCDIR)/rdRes.o: $(SRCDIR)/rdRes.c $(SRCDIR)/tres.c Makefile
	@echo Compile rdRes.c
	@-$(CC) -c -o $(SRCDIR)/rdRes.o $(SRCDIR)/rdRes.c

mtink:  $(OBJ) $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/alignbt.h $(SRCDIR)/scrtxt.h $(SRCDIR)/cfg1.h $(SRCDIR)/cfg2.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/version.h
	@echo Link mtink
	@$(CC) -o mtink $(OBJ)  $(CFLAGS) $(LFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) -DWITH_X=1

ttink: $(TTYOBJ) $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h  $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/version.h Makefile
	@echo Link ttink
	@$(CC) -o ttink $(TTYOBJ) $(CFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) -DWITH_X=0

############# PLUG-IN #######################
gimp-mtink: $(SRCDIR)/gimp-mtink.c Makefile
	@echo Compile and link gimp-mtink.c
	@-$(CC) -o gimp-mtink $(SRCDIR)/gimp-mtink.c $(GIMP_INC) $(GIMP_LIB)

############# SERVER ########################
$(SVRDIR)/mtinkd.o: $(SVRDIR)/mtinkd.c Makefile
	@echo Compile mtinkd.c
	@$(CC) -c -o $(SVRDIR)/mtinkd.o $(SVRDIR)/mtinkd.c -DSERVER=1 $(CFLAGS)

$(SVRDIR)/d4lib.o: $(SRCDIR)/d4lib.c  Makefile
	@echo Compile d4lib.c
	@$(CC) -c -o $(SVRDIR)/d4lib.o $(SRCDIR)/d4lib.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) $(CFLAGS)

$(SVRDIR)/d4libh.o: $(SRCDIR)/d4libh.c   Makefile
	@echo Compile d4libh.c
	@$(CC) -c -o $(SVRDIR)/d4libh.o $(SRCDIR)/d4libh.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) $(CFLAGS)

$(SVRDIR)/cmd.o: $(SRCDIR)/cmd.c Makefile
	@echo Compile cmd.c
	@$(CC) -c -o $(SVRDIR)/cmd.o $(SRCDIR)/cmd.c -DSERVER=1 $(CFLAGS)

mtinkd: $(SVR_OBJ) Makefile
	@echo Link mtinkd
	@$(CC) -o mtinkd $(SVR_OBJ) $(CFLAGS)

########### Chooser ##############

mtinkc: $(CHODIR)/mtinkc.c Makefile
	@echo Compile and link mtinkc.c
	@$(CC) -o mtinkc $(CHODIR)/mtinkc.c $(CFLAGS) $(LFLAGS)

########### printer detection ##############

$(DETDIR)/askPrinter: $(DETDIR)/askPrinter.c
	@echo Compile and link askPrinter.c
	@$(CC) -o $(DETDIR)/askPrinter $(DETDIR)/askPrinter.c -I. -I$(DETDIR)

########### utilities ######################

$(UTILS)/bldRes: $(UTILS)/bldRes.c
	@echo Compile bldRes.c
	@$(CC) -o $(UTILS)/bldRes $(UTILS)/bldRes.c

$(UTILS)/rdPrtDesc: $(SRCDIR)/rdPrtDesc.c
	@echo Compile rdPrtDesc.c
	@$(CC) -o $(UTILS)/rdPrtDesc $(SRCDIR)/rdPrtDesc.c -I$(SRCDIR)

install: install-mtink  install-ttink install-plugins install-askPrinter install-mtinkd \
         install-start install-cups

install-mtink:
	@#echo install mtink
	@if id | grep '=0(root)' >/dev/null; \
	then \
	   mkdir -p $(prefix)/bin >/dev/null 2>&1; \
	   if [ -d $(prefix)/doc ]; \
	   then  \
	      mkdir -p $(prefix)/doc/mtink >/dev/null 2>&1; \
	      (cd $(DOCDIR); cp $(DOC) $(prefix)/doc/mtink); \
	   else \
	      mkdir -p $(prefix)/doc/mtink >/dev/null 2>&1; \
	      (cd $(DOCDIR); cp $(DOC) $(prefix)/doc/mtink); \
	   fi; \
	   cp mtink $(prefix)/bin; \
	   cp mtinkc $(prefix)/bin; \
	   echo "Mtink installed / installe, installiert, teleptve."; echo ; \
	   if [ $(setUid) -eq 0 ]; then \
	      echo "Make sure that $(prefix)/bin/mtink has read/write access to the device files."; \
	      echo "Gyzdjn meg arrl, hogy az eszkzfjl rhat/olvashat."; \
	   else \
	      chmod  4755 $(prefix)/bin/mtink; \
	   fi; \
	   if [ "$(gimpVersion)" != "" ]; then \
	      echo "Do installation of plug-in as normal user."; \
	      echo "A plug-in teleptst egyszer felhasznlknt vgezze."; \
	      echo "L'installation du plug-ins doit etre effectuee avec le compte normal."; \
	      echo "Um das Plug-in zu installieren, muessen Sie als normalen Anwender eingelogt sein."; \
	      echo ; \
	   fi; \
	fi

install-ttink:
	@#echo install ttink
	@if id | grep '=0(root)' >/dev/null; \
	then \
	   mkdir -p $(prefix)/bin >/dev/null 2>&1; \
	   cp ttink $(prefix)/bin; \
	   echo "Ttink installed / installe, installiert, teleptve."; echo ; \
	   if [ $(setUid) -eq 0 ]; then \
	      echo "Make sure that $(prefix)/bin/ttink has read/write access to the device files."; \
	      echo "Gyzdjn meg arrl, hogy az eszkzfjl rhat/olvashat."; \
	   else \
	      chmod  4755 $(prefix)/bin/ttink; \
	   fi; \
	fi

install-askPrinter:

## mtink 1.0.5

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # This will work for Linux and Solaris
 
-prefix=/usr/local
+prefix=/usr
 setUid=1
-gimpVersion=1.2
+gimpVersion=2.0.1
 
 DBG = -s -O
 
@@ -33,8 +33,8 @@
 MACINCL = -I/usr/local/include
 MACLB   = -L/usr/local/lib
 
-CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC)
-LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11
+CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC) -DPREFIX=\"$(prefix)\"
+LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib64  -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11
 
 # Modify CC to cc if needed
 CC=gcc
@@ -44,8 +44,8 @@
 #LFLAGS= $(DBG) -L/usr/X11R6/lib -L/usr/dt/lib /home/jj/MOTIF/motif/lib/Xm/libXm.a -lXp -lXt -lSM -LICE -lXext -lX11
 
 # Adapt this if necesssary
-GIMP_INC = -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include
-GIMP_LIB = -L/usr/lib -lgimpui -lgimp -L/usr/X11R6/lib -lgtk -lgdk -rdynamic -lgmodule -lglib -ldl -lXi -lXext -lX11 -lm
+GIMP_INC = -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DGIMP_VERSION_2
+GIMP_LIB = -L/usr/lib -lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 -lgimpbase-2.0 -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
 
 ############################################################
 # The programs we generate
@@ -253,8 +253,8 @@
 	@echo Compile rdPrtDesc.c
 	@$(CC) -o $(UTILS)/rdPrtDesc $(SRCDIR)/rdPrtDesc.c -I$(SRCDIR)
 
-install: install-mtink  install-ttink install-plugins install-askPrinter install-mtinkd \
-         install-start install-cups
+install: install-mtink  install-ttink install-desc install-plugins install-askPrinter install-mtinkd \
+         install-start install-cups install-pyink
 
 install-mtink:
 	@#echo install mtink
@@ -291,15 +291,3 @@
 	@#echo install ttink
 	@if id | grep '=0(root)' >/dev/null; \
 	then \
-	   mkdir -p $(prefix)/bin >/dev/null 2>&1; \
-	   cp ttink $(prefix)/bin; \
-	   echo "Ttink installed / installe, installiert, teleptve."; echo ; \
-	   if [ $(setUid) -eq 0 ]; then \
-	      echo "Make sure that $(prefix)/bin/ttink has read/write access to the device files."; \
-	      echo "Gyzdjn meg arrl, hogy az eszkzfjl rhat/olvashat."; \
-	   else \
-	      chmod  4755 $(prefix)/bin/ttink; \
-	   fi; \
-	fi
-
-install-askPrinter:

=== pyink/Makefile ===
prefix=/usr

DIST_FILES= pyink/pyink.py \
            pyink/pyinkHTTPHandler.py \
            pyink/README \
            pyink/spacer.gif \
            pyink/Pyink.res \
            pyink/Makefile \
            pyink/configure \
            pyink/pyink.sh


all:
	@echo nothings to do


install:
	mkdir -p $(prefix)/lib/pyink
	cd  ..; cp $(DIST_FILES) $(prefix)/lib/pyink
	cp pyink.sh $(prefix)/bin/pyink.sh
	chmod +x $(prefix)/bin/pyink.sh
	chmod +x $(prefix)/lib/pyink/pyink.py
	mkdir -p $(prefix)/lib/pyink/tmp
	chmod 777 $(prefix)/lib/pyink/tmp

tgz:
	@cd ..;tar czf pyink.tgz $(DIST_FILES)

clean:
	rm *.pyc

## mtink 1.0.12

=== Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 # This will work for Linux and Solaris
 
-prefix=/usr
+prefix=/usr/local
 setUid=1
-gimpVersion=2.0.1
+gimpVersion=
 
 DBG = -s -O
 
@@ -30,11 +30,14 @@
 MOLIB = -lXm
 MOINC = -I/usr/X11R6/include
 
-MACINCL = -I/usr/local/include
-MACLB   = -L/usr/local/lib
-
-CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC) -DPREFIX=\"$(prefix)\"
-LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib64  -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11
+#MACINCL = -I/usr/OpenMotif/include
+#MACLB   = -L/usr/OpenMotif/lib
+
+
+
+
+CFLAGS= $(DBG) -I. -I./$(SRCDIR) $(PI) $(MOINC) -I/usr/X11R6/include -I/usr/dt/include $(MACINCL) -DWAIT_FOR_PRINTER=0 $(XPM_INC) -DPREFIX=\"$(prefix)\" $(MACOSCFLG)
+LFLAGS= $(DBG) $(PL) -L/usr/X11R6/lib64  -L/usr/X11R6/lib -L/usr/dt/lib $(MACLIB) $(MOLIB) $(LIBXP) $(XPM_LIB) -lXext -lXt -lX11 $(MACOSLDFLG)
 
 # Modify CC to cc if needed
 CC=gcc
@@ -44,13 +47,13 @@
 #LFLAGS= $(DBG) -L/usr/X11R6/lib -L/usr/dt/lib /home/jj/MOTIF/motif/lib/Xm/libXm.a -lXp -lXt -lSM -LICE -lXext -lX11
 
 # Adapt this if necesssary
-GIMP_INC = -I/usr/include/gimp-2.0 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/pango-1.0 -I/usr/X11R6/include -I/usr/include/freetype2 -I/usr/include/freetype2/config -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -DGIMP_VERSION_2
-GIMP_LIB = -L/usr/lib -lgimpui-2.0 -lgimpwidgets-2.0 -lgimp-2.0 -lgimpcolor-2.0 -lgimpmath-2.0 -lgimpbase-2.0 -Wl,--export-dynamic -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgdk_pixbuf-2.0 -lm -lpangoxft-1.0 -lpangox-1.0 -lpango-1.0 -lgobject-2.0 -lgmodule-2.0 -ldl -lglib-2.0
+GIMP_INC = -I/usr/include  -I/usr/local/include -I/usr/include/glib-1.2 -I/usr/local/include/glib-1.2 -I/usr/include/glib -I/usr/local/include/glib
+GIMP_LIB = -lgimp -rdynamic
 
 ############################################################
 # The programs we generate
 
-PRG = mtink mtinkc ttink gimp-mtink $(DETDIR)/askPrinter
+PRG = mtink mtinkc ttink mtinkd $(DETDIR)/askPrinter
 
 SRCDIR = mainSrc
 DOCDIR = html
@@ -80,6 +83,7 @@
 # Our objekt files
 
 OBJ =    $(SRCDIR)/mtink.o \
+         $(SRCDIR)/rw.o \
          $(SRCDIR)/d4lib.o \
          $(SRCDIR)/d4libh.o \
          $(SRCDIR)/cfg1.o \
@@ -93,24 +97,30 @@
          $(SRCDIR)/cmd.o \
          $(SRCDIR)/tooltip.o \
          $(SRCDIR)/wheelmouse.o \
-         $(SRCDIR)/micon.o
+         $(SRCDIR)/usbHlp.o \
+         $(SRCDIR)/micon.o \
+         $(SRCDIR)/checkenv.o
 
 TTYOBJ = $(SRCDIR)/ttink.o \
+         $(SRCDIR)/rw.o \
          $(SRCDIR)/d4lib.o \
          $(SRCDIR)/d4libh.o \
          $(SRCDIR)/rdPrtDesc.o \
          $(SRCDIR)/nXcmd.o \
+         $(SRCDIR)/usbHlp.o \
          $(SRCDIR)/rdRes.o
 
 SVR_OBJ = $(SVRDIR)/mtinkd.o \
+         $(SRCDIR)/rw.o \
          $(SVRDIR)/cmd.o \
          $(SVRDIR)/d4lib.o \
+         $(SRCDIR)/usbHlp.o \
          $(SVRDIR)/d4libh.o
 
 
 DOC = *.gif *.html
 
-all: $(PRG) mtinkd $(UTILS)/bldRes $(UTILS)/rdPrtDesc 
+all: $(PRG) $(UTILS)/bldRes $(UTILS)/rdPrtDesc $(UTILS)/chckRes
 
 clean:
 	@if [ "`echo $(SRCDIR)/*.o`" != "$(SRCDIR)"/'*.o'  ]; then rm $(SRCDIR)/*.o; fi; >/dev/null 2>/dev/null
@@ -120,6 +130,7 @@
 	@if [ -f gimp-mtink                  ]; then rm gimp-mtink          ; fi
 	@if [ -f $(UTILS)/bldRes             ]; then rm $(UTILS)/bldRes     ; fi
 	@if [ -f $(UTILS)/rdPrtDesc          ]; then rm $(UTILS)/rdPrtDesc  ; fi
+	@if [ -f $(UTILS)/chckRes            ]; then rm $(UTILS)/chckRes    ; fi
 	@if [ "`echo $(SVRDIR)/*.o `" != "$(SVRDIR)"/'*.o' ]; then rm $(SVRDIR)/*.o; fi; >/dev/null 2>/dev/null
 	@if [ -f mtinkd                      ]; then rm mtinkd              ; fi
 	@if [ -f  $(DETDIR)/askPrinter       ]; then rm $(DETDIR)/askPrinter; fi
@@ -127,7 +138,11 @@
 ############## COMMON AND frintends ##################
 $(SRCDIR)/d4lib.o: $(SRCDIR)/d4lib.c $(SRCDIR)/d4lib.h Makefile
 	@echo Compile d4lib.c
-	@$(CC) -c -o $(SRCDIR)/d4lib.o $(SRCDIR)/d4lib.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG)
+	@$(CC) -c -o $(SRCDIR)/d4lib.o $(SRCDIR)/d4lib.c $(RDTIMEOUT) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) $(MACOSCFLG)
+
+$(SRCDIR)/rw.o: $(SRCDIR)/rw.c  Makefile
+	@echo Compile rw.c
+	@$(CC) -c -o $(SRCDIR)/rw.o $(SRCDIR)/rw.c $(DEBUG) $(MACOSCFLG)
 
 $(SRCDIR)/d4libh.o: $(SRCDIR)/d4libh.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h Makefile
 	@echo Compile d4libh.c
@@ -165,11 +180,15 @@
 	@echo Compile alignbt.c
 	@$(CC) -c -o $(SRCDIR)/alignbt.o $(SRCDIR)/alignbt.c $(CFLAGS)  -DWITH_X=1
 
-$(SRCDIR)/cmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/al820.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c Makefile
+$(SRCDIR)/checkenv.o: $(SRCDIR)/alignbt.c $(SRCDIR)/checkenv.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/cmd.h  Makefile
+	@echo Compile checkenv.c
+	@$(CC) -c -o $(SRCDIR)/checkenv.o $(SRCDIR)/checkenv.c $(CFLAGS)
+
+$(SRCDIR)/cmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/al820.c  $(SRCDIR)/align.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c Makefile
 	@echo Compile cmd.c
 	@$(CC) -c -o $(SRCDIR)/cmd.o $(SRCDIR)/cmd.c $(CFLAGS)  $(DEBUG) $(RDTIMEOUT) $(WRTIMEOUT) -DWITH_X=1 -DSERVER=0
 
-$(SRCDIR)/nXcmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h Makefile
+$(SRCDIR)/nXcmd.o: $(SRCDIR)/cmd.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h Makefile $(SRCDIR)/al820.c  $(SRCDIR)/align.c $(SRCDIR)/alC82.c $(SRCDIR)/bldpcode.c
 	@echo Compile cmd.c as nXcmd.o
 	@$(CC) -c -o $(SRCDIR)/nXcmd.o $(SRCDIR)/cmd.c $(CFLAGS)  $(DEBUG) $(RDTIMEOUT) $(WRTIMEOUT) -DWITH_X=0 -DSERVER=0
 
@@ -177,7 +196,7 @@
 	@echo Compile resource.c
 	@$(CC) -c -o $(SRCDIR)/resource.o $(SRCDIR)/resource.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1
 
-$(SRCDIR)/mtink.o: $(SRCDIR)/mtink.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/model.h Makefile
+$(SRCDIR)/mtink.o: $(SRCDIR)/mtink.c $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/model.h $(SRCDIR)/checkenv.h Makefile
 	@echo Compile mtink.c
 	@$(CC) -c -o $(SRCDIR)/mtink.o $(SRCDIR)/mtink.c $(CFLAGS)  $(DEBUG)  -DWITH_X=1
 
@@ -197,13 +216,17 @@
 	@echo Compile rdRes.c
 	@-$(CC) -c -o $(SRCDIR)/rdRes.o $(SRCDIR)/rdRes.c
 
+$(SRCDIR)/usbHlp.o: $(SRCDIR)/usbHlp.c Makefile
+	@echo Compile usbHlp.c
+	@-$(CC) -c -o $(SRCDIR)/usbHlp.o $(SRCDIR)/usbHlp.c $(CFLAGS)  $(DEBUG)
+
 mtink:  $(OBJ) $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h $(SRCDIR)/alignbt.h $(SRCDIR)/scrtxt.h $(SRCDIR)/cfg1.h $(SRCDIR)/cfg2.h $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/cfg1.h $(SRCDIR)/version.h
 	@echo Link mtink
 	@$(CC) -o mtink $(OBJ)  $(CFLAGS) $(LFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) -DWITH_X=1
 
 ttink: $(TTYOBJ) $(SRCDIR)/d4lib.h $(SRCDIR)/d4libh.h  $(SRCDIR)/cmd.h $(SRCDIR)/mtink.h $(SRCDIR)/model.h $(SRCDIR)/version.h Makefile
 	@echo Link ttink
-	@$(CC) -o ttink $(TTYOBJ) $(CFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) -DWITH_X=0
+	@$(CC) -o ttink $(TTYOBJ) $(CFLAGS) $(RDTIMEOUT) $(DEVICE) $(WRTIMEOUT) $(DEBUG) $(KERNEL_USB_BUG) $(MACOSLDFLG) -DWITH_X=0
 
 ############# PLUG-IN #######################
 gimp-mtink: $(SRCDIR)/gimp-mtink.c Makefile
@@ -229,7 +252,7 @@
 
 mtinkd: $(SVR_OBJ) Makefile
 	@echo Link mtinkd
-	@$(CC) -o mtinkd $(SVR_OBJ) $(CFLAGS)
+	@$(CC) -o mtinkd $(SVR_OBJ) $(CFLAGS) $(MACOSLDFLG) 
 
 ########### Chooser ##############
 
@@ -253,8 +276,11 @@
 	@echo Compile rdPrtDesc.c
 	@$(CC) -o $(UTILS)/rdPrtDesc $(SRCDIR)/rdPrtDesc.c -I$(SRCDIR)
 
-install: install-mtink  install-ttink install-desc install-plugins install-askPrinter install-mtinkd \
-         install-start install-cups install-pyink
+$(UTILS)/chckRes: $(SRCDIR)/rdRes.c
+	@echo Compile chckRes
+	@$(CC) -o $(UTILS)/chckRes $(SRCDIR)/rdRes.c -I$(SRCDIR) -DRESCHECK=1
+
+install: install-mtink install-ttink install-desc install-pyink install-askPrinter install-mtinkd install-start install-cups
 
 install-mtink:
 	@#echo install mtink
@@ -271,23 +297,5 @@
 	   fi; \
 	   cp mtink $(prefix)/bin; \
 	   cp mtinkc $(prefix)/bin; \
-	   echo "Mtink installed / installe, installiert, teleptve."; echo ; \
+	   echo "Mtink installed / installe, installiert."; echo ; \
 	   if [ $(setUid) -eq 0 ]; then \
-	      echo "Make sure that $(prefix)/bin/mtink has read/write access to the device files."; \
-	      echo "Gyzdjn meg arrl, hogy az eszkzfjl rhat/olvashat."; \
-	   else \
-	      chmod  4755 $(prefix)/bin/mtink; \
-	   fi; \
-	   if [ "$(gimpVersion)" != "" ]; then \
-	      echo "Do installation of plug-in as normal user."; \
-	      echo "A plug-in teleptst egyszer felhasznlknt vgezze."; \
-	      echo "L'installation du plug-ins doit etre effectuee avec le compte normal."; \
-	      echo "Um das Plug-in zu installieren, muessen Sie als normalen Anwender eingelogt sein."; \
-	      echo ; \
-	   fi; \
-	fi
-
-install-ttink:
-	@#echo install ttink
-	@if id | grep '=0(root)' >/dev/null; \
-	then \

## mtink 1.0.16

=== pyink/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-prefix=/usr
+prefix=/usr/local
 
 DIST_FILES= pyink/pyink.py \
             pyink/pyinkHTTPHandler.py \

=== debian/changelog ===
mtink (1.0.16-4) unstable; urgency=low

  * QA upload.
  * Convert from dpatch to format 3.0 (quilt). Drop dpatch from build-depends.
  * Drop old unapplied patches (cflags, keep-pristine-source).
  * Bump debhelper compat version to 8. Update build-depends accordingly.
  * Bump Standards-Version to 3.9.2.
  * Get rid of duplicated Section in debian/control.
  * Remove obsolete Enconding field from .desktop files.
  * Rebuild seems to remove libxp dependency. Closes: #623650.

 -- Regis Boudin <regis@debian.org>  Tue, 07 Feb 2012 00:45:48 +0100

mtink (1.0.16-3) unstable; urgency=low

  * QA upload.
  * Fix pending l10n issues. Debconf translations:
    - Spanish (Camaleón).  Closes: #583541

 -- Christian Perrier <bubulle@debian.org>  Wed, 28 Jul 2010 09:27:40 +0200

mtink (1.0.16-2) unstable; urgency=low

  * Orphaning the package
  * Acknowledge NMU, thanks Stefano ! (Closes: #554185, #534040) 
  * Add japanese po-debconf (Closes: #512975)
  * Add russion po-debconf (Closes: #543188)
  * Apply font change proposed by upstream (Closes: #504317)
  * Fix spell errors in the french translation (Closes: #508519)
  * Upgrade Standards-Version to 3.8.3:
    * Add README.source
    * Remove useless dh_desktop invocation
    * Change doc-base section to System/Monitoring
    * Don't create /var/run/mtink, it is created when mtinkd start
  * Add ${misc:Depends} for mtink-doc package
  * Update debian/copyright

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 24 Nov 2009 23:16:02 +0100

mtink (1.0.16-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control: add missing build-dep on po-debconf (Closes: #554185)
  * debian/mk/docbook-manpage.mk: fix shell test error ('==' operator)
  * debian/rules: remove po threshold to avoid lacking manpages that are
    assummed to be available, fix FTBFS. (Closes: #534040)

 -- Stefano Zacchiroli <zack@debian.org>  Wed, 04 Nov 2009 10:02:20 +0100

mtink (1.0.16-1) unstable; urgency=low

  * New upstream release
  * Upgrade debian/watch version to 3,
  * Add debian/mtink.desktop debian/mtinkc.desktop,
  * Use mtink.install.in to manage gimp plugin installation,
  * Rewrite and relicense manpage debian/xml-man/,
  * Use po4a to translate manpage, reorganize manpage source
    following the po4a convention,
  * Remove po-debconf Build-Depends, since it is a dependency of
    debhelper 5
  * Remove old, unused and partial italian and deutsch translation,
    maybe using .po format will help translation team,
  * Add docbook-manpage.mk and po4a.mk in debian/mk for translation
    and generation of manpage,
  * Change email address to gildor@debian.org everywhere
  * Use DTD from docbook-xml package and not from docbook package
  * Add portuguese translation for debconf messages, thanks to Rui
    Branco (Closes: #414912)
  * Add dutch po-debconf translation, thanks to cobaco (Closes: #420934)
  * Use the new upstream configure option --no-strip to stop stripping
    binary (Closes: #437592)

 -- Sylvain Le Gall <gildor@debian.org>  Tue, 28 Aug 2007 23:20:47 +0200

mtink (1.0.14-2) unstable; urgency=high

  * Forget to set urgency=high.

 -- Sylvain Le Gall <gildor@debian.org>  Sat,  7 Oct 2006 19:50:48 +0200

mtink (1.0.14-1) unstable; urgency=low

  * New upstream release
  * Remove checkenv patch, included in upstream,
  * Minor improvement:
    * Update debian/rules FSF,
    * Better layout in control.in,
    * Upgrade debhelper to standard 5,

 -- Sylvain Le Gall <gildor@debian.org>  Fri,  6 Oct 2006 02:38:09 +0200

mtink (1.0.13c-1) unstable; urgency=high

  * New upstream release,
  * Patch cflags has been applied upstream,
  * Patch keep-pristine-source has been partially applied:
    * call distclean to clean the package,
  * Uncapitalize the variable to prevent adding the shlib dependency of
    gimp-mtink to the mtink package.
  * Move target variable definition after the inclusion of Makefile part,
  * Urgency set to high, because it fix an undicover bug in removing
    XAUTHORITY variable.

 -- Sylvain Le Gall <gildor@debian.org>  Tue,  3 Oct 2006 01:13:00 +0200

mtink (1.0.13a-1) unstable; urgency=low

  * New upstream version
  * Change my email address to gildor@debian.org,
  * Upgrade Standards-Version to 3.7.2 (no change),
  * Remove useless file in debian/,
  * Add db_stop where debconf is used,
  * Add po-debconf as build dependency,
  * Remove Eduard Bloch as uploaders (i am now the main
    uploader), thanks to Eduard for his contribution,
  * Use CDBS.
  

 -- Sylvain Le Gall <gildor@debian.org>  Sun,  1 Oct 2006 18:14:38 +0200

mtink (1.0.12-3) unstable; urgency=low

  * Release 1.0.12 solved CVE-2005-4604. At the time of first upload the CVE
    number was not assigned (it was assigned on 2006/01/01).

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Wed, 11 Jan 2006 22:56:46 +0100

mtink (1.0.12-2) unstable; urgency=low

  * Stop depending on xlib-dev, depends on libx11-dev, libxpm-dev,
    libxt-dev. (Closes: #345538)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue,  3 Jan 2006 08:40:58 +0100

mtink (1.0.12-1) unstable; urgency=low

  * New upstream release

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat, 31 Dec 2005 15:46:55 +0100

mtink (1.0.11-2) unstable; urgency=low

  * Add swedish translation (thanks to Daniel Nylander)

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Sat,  3 Dec 2005 00:03:16 +0100

mtink (1.0.11-1) unstable; urgency=low

  * New upstream release
  * Replace debconf by ${misc:Dependency} from the dependency field of the 
    control file, it is automatically filled by dh_installdebconf
  * Update italian debconf translation, thanks to Luca Bruno (Closes: #325623)
  * Remove patches gcc-4, typo_french, mtink-cups since they are applied
    upstream
  * Update FSF address in copyright
  * Correct dates in changelog (Jui = Jul) 

 -- Sylvain Le Gall <sylvain.le-gall@polytechnique.org>  Tue, 27 Sep 2005 23:44:37 +0200

mtink (1.0.9-1) unstable; urgency=low



=== debian/control ===
Source: mtink
Section: misc
Priority: extra
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: cdbs, debhelper, patchutils, po4a, docbook-xml (>= 4.4), docbook-xsl, libxml2-utils, xsltproc, 
 debhelper (>= 8),
 lesstif2-dev, libgimp2.0-dev (>= 2.0.0-4), libx11-dev, 
 libxpm-dev, libxt-dev, po-debconf
Standards-Version: 3.9.2
Homepage: http://xwtools.automatix.de/

Package: mtink
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: gimp, mtink-doc
Description: Status monitor tool for Epson inkjet printers
 This is a printer status monitor which enables to get the remaining ink
 quantity, to print test patterns, to reset printer and to clean nozzle.
 .
 Even if this monitor is targeted to Epson printer, some HP and Canon model are
 supported. 

Package: mtink-doc
Section: doc
Architecture: all
Suggests: mtink
Depends: ${misc:Depends}
Description: Documentation for mtink
 This package is the documentation of the package mtink, a tool to monitor 
 Epson inkjet printers.

=== debian/rules ===
#!/usr/bin/make -f
# debian/rules for mtink package
# Copyright (C) 2006 Sylvain Le Gall <gildor@debian.org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License as
# published by the Free Software Foundation; either version 2, or (at
# your option) any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,
# MA 02110-1301, USA.

# Generate debian/control using
# fakeroot debian/rules debian/control DEB_AUTO_UPDATE_DEBIAN_CONTROL:=yes

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/makefile.mk
include $(CURDIR)/debian/mk/docbook-manpage.mk

PACKAGE = mtink
DESTDIR = $(CURDIR)/debian/$(PACKAGE)

DEB_MAKE_CLEAN_TARGET    := distclean
DEB_MAKE_BUILD_TARGET    := all
DEB_MAKE_INSTALL_TARGET  := install-mtink      \
                            install-ttink      \
                            install-askPrinter \
                            install-mtinkd

DEB_DH_SHLIBDEPS_ARGS_mtink := -X gimp-mtink
DEB_INSTALL_CHANGELOGS_ALL  := $(CURDIR)/CHANGE.LOG
DEB_INSTALL_DOCS_ALL        := 

PO4A_SOURCES := $(CURDIR)/debian/xml-man/po4a/po4a.cfg
PO4A_BUILD_FLAGS += -k 0

DOCBOOK_MANPAGE_SOURCES := $(CURDIR)/debian/xml-man/en/askPrinter.xml \
                           $(CURDIR)/debian/xml-man/en/mtinkc.xml     \
                           $(CURDIR)/debian/xml-man/en/mtinkd.xml     \
                           $(CURDIR)/debian/xml-man/en/ttink.xml      \
			   $(CURDIR)/debian/xml-man/fr/askPrinter.xml \
                           $(CURDIR)/debian/xml-man/fr/mtinkc.xml     \
                           $(CURDIR)/debian/xml-man/fr/mtinkd.xml     \
                           $(CURDIR)/debian/xml-man/fr/ttink.xml


DOCBOOK_MANPAGE_EXTRA_SOURCES := $(CURDIR)/debian/xml-man/en/refentryinfo.xml \
                                 $(CURDIR)/debian/xml-man/en/license.xml      \
				 $(CURDIR)/debian/xml-man/fr/refentryinfo.xml \
                                 $(CURDIR)/debian/xml-man/fr/license.xml

gimp_version=2.0

clean::
	-$(RM) $(CURDIR)/debian/mtink.install
	-$(RM) $(CURDIR)/debian/xml-man/fr/license.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/askPrinter.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/mtinkc.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/mtinkd.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/ttink.xml
	-$(RM) $(CURDIR)/debian/xml-man/fr/refentryinfo.xml
	-$(RM) $(CURDIR)/debian/xml-man/en/*.[18]
	-$(RM) $(CURDIR)/debian/xml-man/fr/*.[18]
	debconf-updatepo

common-configure-arch common-configure-indep::
	./Configure --no-strip --no-suid -p $(CURDIR)/debian/mtink/usr 
	sed -e "s/@gimp_version@/$(gimp_version)/g" $(CURDIR)/debian/mtink.install.in > \
	  	$(CURDIR)/debian/mtink.install

binary-install/mtink::
	chmod u+x $(DESTDIR)/usr/lib/cups/backend/mtink
	$(RM) -r $(DESTDIR)/usr/doc

=== debian/watch ===
version=3
http://xwtools.automatix.de/files/mtink-(.*)\.tar\.gz
